Package org.jfree.layouting.renderer.process

## Class TableRowHeightStep.TableInfoStructure

- java.lang.Object
- - org.jfree.layouting.renderer.process.TableRowHeightStep.TableInfoStructure

- Enclosing class:
    TableRowHeightStep

      public static class TableRowHeightStep.TableInfoStructure
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableInfoStructure​(TableRenderBox table)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TableColumnModel` | `getColumnModel​()` |
    `long` | `getPosition​()` |
    `TableRow` | `getRow​()` |
    `TableRowModel` | `getRowModel​()` |
    `int` | `getRowNumber​()` |
    `TableRenderBox` | `getTable​()` |
    `void` | `increaseRowNumber​()` |
    `void` | `setPosition​(long position)` |
    `void` | `setRowModel​(TableRowModel rowModel)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableInfoStructure

          public TableInfoStructure​(TableRenderBox table)

  - ### Method Detail

    - #### getRow

          public TableRow getRow​()

    - #### getPosition

          public long getPosition​()

    - #### setPosition

          public void setPosition​(long position)

    - #### getTable

          public TableRenderBox getTable​()

    - #### getColumnModel

          public TableColumnModel getColumnModel​()

    - #### getRowModel

          public TableRowModel getRowModel​()

    - #### setRowModel

          public void setRowModel​(TableRowModel rowModel)

    - #### getRowNumber

          public int getRowNumber​()

    - #### increaseRowNumber

          public void increaseRowNumber​()